Subject: bug#60929: 30.0.50; [FR] `file-name-extension' and backup suffixes

From: Ruijie Yu <[email-masked]>
Date: Wed, 25 Jan 2023 21:33:59 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: Ihor Radchenko <[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 25 Jan 2023 13:18:48 +0000
>>
>> Eli Zaretskii <[email-masked]> writes:
>>
>> >   . given "foo.org.~10~" return the list ("foo" org-mode backup)
>> >   . given "foo.org.gpg.gz" return ("foo" org-mode epa-file compress)
>>
>> I do not think that you can deterministically associate file extension
>> with major mode. Alternative major modes do exist for some file
>> extensions (like built-in python.el vs. python-mode.el). Just extension
>> list may suffice in the simplest scenarios.
>
> The intent was to use auto-mode-alist, of course.  Or are you saying
> that you'd like, for example, to treat *.org files as Org files even
> if the user customized auto-mode-alist to use a different mode?
>
>> In addition, given "foo.txt.org.gpg.gz" may return
>> ("foo.txt" "org" "gpg" "gz") not stripping the first .txt as it never
>> affects how Emacs opens the file.
>
> Talking about "opening the file" again narrows the scope of the
> requested feature, IMO.  We don't want to assume that the application
> would like to open the file.  Besides, Text mode does affect how Emacs
> treats the file.

Another thing to consider is when the mode is not activated via
`auto-mode-alist' -- for example, via M-x major-mode.  Consider what
happens to the proposed file extension list when "foo.txt" and
"bar.txt.bak.gpg" are manually activated as `org-mode'.

Best,

RY